Retrieve OrganizationConfig - m3ter Documentation
Retrieve OrganizationConfig
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/organizationconfig \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/organizationconfig"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/organizationconfig', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/organizationconfig",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/organizationconfig"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Structure
Successful Response (200)
{
"id": "<string>",
"version": 123,
"timezone": "UTC",
"yearEpoch": "2022-01-01",
"monthEpoch": "2022-01-01",
"weekEpoch": "2022-01-04",
"dayEpoch": "2022-01-01",
"currency": "<string>",
"currencyConversions": [
{
"from": "EUR",
"to": "USD",
"multiplier": 1.12
}
],
"daysBeforeBillDue": 123,
"scheduledBillInterval": 123,
"scheduledBillOffset": 123,
"standingChargeBillInAdvance": true,
"commitmentFeeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"autoApproveBillsGracePeriod": 123,
"suppressedEmptyBills": true,
"consolidateBills": true,
"defaultStatementDefinitionId": "<string>",
"billPrefix": "<string>",
"sequenceStartNumber": 123,
"creditApplicationOrder": [],
"allowNegativeBalances": true,
"allowOverlappingPlans": true,
"useUnifiedDrawdowns": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
{
"message": "<string>"
}
Authorization
- Authorization: Required header using Bearer token.
- Machine to machine authentication using
clientCredentials OAuth2 flow.